function o(n) {
  return `${window.$utils.env.VUE_APP_PREVIEW_ONLINE}${n}`;
}
function u(n) {
  const t = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${t}/file/download?id=${n}`
  });
}
function d(n, t, i) {
  const a = window.$utils.env.VITE_APP_SYS_SERVER_NAME, e = new FormData();
  return e.append("file", n), window.$utils.http({
    url: `${a}/file/upload?businessTableName=${t}&uid=${i}`,
    data: e,
    headers: {
      "Content-Type": "multipart/form-data"
    }
  });
}
function l(n, t, i) {
  const a = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${a}/file/uploadWithBase64?businessTableName=${t}&invariantId=${i}`,
    data: n
  });
}
export {
  d as a,
  u as d,
  o as p,
  l as u
};
